<center>
  
  <table border="0" >
  <tr valign=top align=center>
    <td>
    <h3>Statistics</h3>
      <table border="0" >
        <tr">
          <td>Date</td>
          <td>Installations </td>          
          <td>Permissions</td>
          <td>Disabled Users</td>
          <td>Published </td>
          <td>Was Invited</td>
        
          <td  class="zerocolor">Direct</td>
          <td  class="zerocolor">Invitation</td>
          <td  class="zerocolor">FB feed</td>
          <td  class="zerocolor">Source1</td>
          <td  class="zerocolor">Source2</td>
          <td  class="zerocolor">Source3</td>
        </tr>

       <tr align="center" style= "background-color: #b02c2c;" >
          <td>Total</td>
          <td><%=@total[INSTALLED] %></td>
          <td><%=@total[PERMISSION]%></td>
          <td><%=@total[DELETED]%></td>
          <td><%=@total[PUBLISHED]%></td>
          <td><%=@total[INVITED_NUMBER]%></td>
          
          <td><%=@total[STAT_SHIFT + FROM_DIRECT ]%> </td>
          <td><%=@total[STAT_SHIFT + FROM_INVITATION]%> </td>
          <td><%=@total[STAT_SHIFT + FROM_FEED]%> </td>
          <td><%=@total[STAT_SHIFT + FROM_SOURCE1 ]%> </td>
          <td><%=@total[STAT_SHIFT + FROM_SOURCE2 ]%> </td>
          <td><%=@total[STAT_SHIFT + FROM_SOURCE3 ]%> </td>
         
        </tr>
         
       <% @data_pack.each_with_index {|data, i| %>
        <tr align="center" class= "<%if i % 2 == 1 %>firstcolor<%else%><%end%>" >
          <td><%=@date_range[@date_range.size-i -1] %></td>
          <td><%=data[INSTALLED] %></td>
          
          <td><%=data[PERMISSION]%></td>
          <td><%=data[DELETED]%></td>
          <td><%=data[PUBLISHED]%></td>
          <td><%=data[INVITED_NUMBER]%></td>
        
          <td><%=data[STAT_SHIFT + FROM_DIRECT ]%> </td>
          <td><%=data[STAT_SHIFT + FROM_INVITATION]%> </td>
          <td><%=data[STAT_SHIFT + FROM_FEED]%> </td>
          <td><%=data[STAT_SHIFT + FROM_SOURCE1 ]%> </td>
          <td><%=data[STAT_SHIFT + FROM_SOURCE2 ]%> </td>
          <td><%=data[STAT_SHIFT + FROM_SOURCE3 ]%> </td>
        </tr>
        <% }%> 
      </table>
    </td>
    <td>
    </td>
  </tr>
  </table>
  
</center>
